Loading...
Searching...
No Matches
gtsam::traits< imuBias::ConstantBias > Struct Reference
Inheritance diagram for gtsam::traits< imuBias::ConstantBias >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< imuBias::ConstantBias >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< imuBias::ConstantBias >))
Public Member Functions inherited from gtsam::internal::VectorSpaceTraits< imuBias::ConstantBias >
| BOOST_CONCEPT_ASSERT ((HasVectorSpacePrereqs< imuBias::ConstantBias >))
Static Public Member Functions inherited from gtsam::Testable< imuBias::ConstantBias >
static void | Print (const imuBias::ConstantBias &m, const std::string &str="")
static bool | Equals (const imuBias::ConstantBias &m1, const imuBias::ConstantBias &m2, double tol=1e-8)
static imuBias::ConstantBias | Identity ()
Static Public Member Functions inherited from gtsam::internal::VectorSpaceImpl< imuBias::ConstantBias, imuBias::ConstantBias::dimension >
static TangentVector | Logmap (const imuBias::ConstantBias &m, ChartJacobian Hm=boost::none)
static imuBias::ConstantBias | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static imuBias::ConstantBias | Compose (const imuBias::ConstantBias &v1, const imuBias::ConstantBias &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static imuBias::ConstantBias | Between (const imuBias::ConstantBias &v1, const imuBias::ConstantBias &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static imuBias::ConstantBias | Inverse (const imuBias::ConstantBias &v, ChartJacobian H=boost::none)
static int | GetDimension (const imuBias::ConstantBias &)
static TangentVector | Local (const imuBias::ConstantBias &origin, const imuBias::ConstantBias &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static imuBias::ConstantBias | Retract (const imuBias::ConstantBias &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
Public Types inherited from gtsam::internal::VectorSpaceTraits< imuBias::ConstantBias >
typedef vector_space_tag | structure_category
enum |
typedef imuBias::ConstantBias | ManifoldType
typedef additive_group_tag | group_flavor
typedef Eigen::Matrix< double, N, 1 > | TangentVector
typedef OptionalJacobian< N, N > | ChartJacobian
typedef Eigen::Matrix< double, N, N > | Jacobian

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/navigation/ImuBias.h